FullGDR/api/urls.py
from django.urls import path
from api import views



app_name = "api"


urlpatterns = [
    
]

FullGDR/core/urls.py
from django.urls import path
from core import views
from django.urls import path
from core import views
from django.urls import path
from .views import NuevaTuplaRuta

app_name = "core"

urlpatterns = [
    path('list/grantgoal/', views.ListGrantGoal.as_view(), name="gg_list"),
    path('create/grantgoal/', views.CreateGrantGoal.as_view(), name="gg_create"),
    path('detail/grantgoal/<int:pk>/', views.DetailGrantGoal.as_view(), name="gg_detail"),
    path('update/grantgoal/<int:pk>/', views.UpdateGrantGoal.as_view(), name="gg_update"),

    path('list/routes/', views.ListRoutes.as_view(), name="list_routes"),
    path('create/route/', views.CreateRoute.as_view(), name="route_create"),
    path('route/<int:noruta>/', views.DetailRoute.as_view(), name="route_detail"),
    path('stop/route/<int:numeroconsecutivo>/', views.AddStop.as_view(), name="route_stop"),
    path('delete/route/<int:noruta>', views.DeleteRoute.as_view(), name="route_delete"),
    path('stop/delete/<int:pk>/', views.DeleteStop.as_view(), name="route_stopd"),

    path("list/empleados/", views.ListEmpleados.as_view(), name="list_empleados"),
    path('empleados/<int:pk>/', views.DetailEmpleados.as_view(), name='empleados_detail'),
    path('create/empleado/', views.CreateEmpleado.as_view(), name="empleados_create"),
    path('update/empleado/<int:pk>/', views.UpdateEmpleado.as_view(), name="empleados_update"),
    path('delete/empleados/<int:pk>/', views.DeleteEmpleado.as_view(), name="empleados_delete"),
    path("list/conductores/", views.ListConductores.as_view(), name="list_conductores"),
    path('conductores/<int:pk>/', views.DetailConductores.as_view(), name='conductores_detail'),
    path('create/conductor/', views.CreateConductores.as_view(), name="conductores_create"),
    path('update/conductor/<int:pk>/', views.UpdateConductores.as_view(), name="conductores_update"),
    path('delete/conductores/<int:pk>/', views.DeleteConductores.as_view(), name="conductores_delete"),
    path("list/administradores/", views.ListAdministradores.as_view(), name="list_administradores"),
    path('administradores/<int:pk>/', views.DetailAdministrador.as_view(), name='administrador_detail'),
    path('create/administrador/', views.CreateAdministrador.as_view(), name="administrador_create"),
    path('update/administrador/<int:pk>/', views.UpdateAdministrador.as_view(), name="administrador_update"),
    path('delete/administrador/<int:pk>/', views.DeleteAdminstrador.as_view(), name="administrador_delete"),
    path("list/transportes/", views.ListTransportes.as_view(), name="list_transportes"),
    path('transportes/<int:pk>/', views.DetailTrasporte.as_view(), name='transporte_detail'),
    path('create/transporte/', views.CreateTransporte.as_view(), name="transporte_create"),
    path('update/transporte/<int:pk>/', views.UpdateTransporte.as_view(), name="transporte_update"),
    path('delete/transporte/<int:pk>/', views.DeleteTransporte.as_view(), name="transporte_delete"),
    path("list/paradas/", views.ListParadas.as_view(), name="list_paradas"),
    path('paradas/<int:pk>/', views.DetailParada.as_view(), name= "parada_detail"),
    path('create/paradas/', views.CreateParada.as_view(), name="parada_create"),
    path('update/paradas/<int:pk>/', views.UpdateParada.as_view(), name="parada_update"),
    path('delete/paradas/<int:pk>/', views.DeleteParada.as_view(), name="parada_delete"),
    
 #nuevas urls
    path('list/transporte/conductor', views.ListConductoresTransportes.as_view(), name="list_conductorestransportes"),
    path('create/transporte/conductor', views.CreateConductorTransporte.as_view(), name="conductortransporte_create"),
    path('delete/transporte/conductor/<int:pk>/', views.DeleteConductorTransporte.as_view(), name="conductortransporte_delete"),
    path('create/transporte/empleado', views.CreateEmpleadoTransporte.as_view(), name="empleadotransporte_create"),
    path('delete/transporte/empleado/<int:pk>/', views.DeleteEmpleadoTransporte.as_view(), name="empleadotransporte_delete"),
    path('list/transporte/empleado', views.ListEmpleadosTransportes.as_view(), name="list_empleadostransportes"),

    path('crear_tupla/<int:id_tupla>/', NuevaTuplaRuta.as_view(), name='crear_tupla'),
   
]

FullGDR/cplaest/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include("api.urls")),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
]

FullGDR/core/views.py
from django.shortcuts import render,get_object_or_404

from django.views import generic
from django.db.models import Count
from django.urls import reverse_lazy
from .models import GrantGoal
from .forms import GrantGoalForm, UpdateGrantGoalForm
from django.http import HttpResponseRedirect
from .models import *
from .forms import *
from django.shortcuts import render
from django.views import View
from django.db import connection
from django.views.generic.edit import CreateView
from .models import Rutas



# Create your views here.

##### G R A N T G O A L C R U D #####

##Create
class CreateGrantGoal(generic.CreateView):
    template_name = "core/gg_create.html"
    model = GrantGoal
    form_class = GrantGoalForm
    success_url = reverse_lazy("core:gg_list")


## Retrieve
#List GrantGoal
class ListGrantGoal(generic.View):
    template_name = "core/gg_list.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = GrantGoal.objects.filter(status=True)
        self.context = {
            "grant_goals": queryset
        }
        return render(request, self.template_name, self.context)


#Detail
class DetailGrantGoal(generic.DetailView):
    template_name = "core/gg_detail.html"
    model = GrantGoal


#Update
class UpdateGrantGoal(generic.UpdateView):
    template_name = "core/gg_update.html"
    model = GrantGoal
    form_class = UpdateGrantGoalForm
    success_url = reverse_lazy("core:gg_list")


#Delete
class DeleteGrantGoal(generic.DeleteView):
    template_name = "core/gg_delete.html"
    model = GrantGoal
    success_url = reverse_lazy("core:gg_list")

#### R O U T E S C R U D ####

# Lista





class ListRoutes(generic.TemplateView):
    template_name = "core/list_routes.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['ruta'] = Rutas.objects.values('noruta').distinct()
        return context
    
class DetailRoute(generic.ListView):
    template_name = "core/route_detail.html"
    model = Rutas
    context_object_name = 'ruta'

    def get_queryset(self):
        noruta = self.kwargs['noruta']
        return Rutas.objects.filter(noruta=noruta)
    
class CreateRoute(generic.CreateView):
    template_name = "core/route_create.html"
    model = Rutas
    form_class = CrearRuta
    success_url = reverse_lazy("core:list_routes")

class AddStop(generic.UpdateView):
    template_name = "core/route_stop.html"
    model = Rutas
    form_class = AddStop
    

    def get_success_url(self):
        return reverse_lazy('core:list_routes')

    def get_object(self, queryset=None):
        return Rutas.objects.get(pk=self.kwargs['numeroconsecutivo'])

class DeleteStop(generic.DeleteView):
    template_name = "core/route_stop_delete.html"
    model = Rutas
    success_url = reverse_lazy("core:list_routes")
  

class DeleteRoute(generic.DeleteView):
    template_name = "core/route_delete.html"
    model = Rutas
    success_url = reverse_lazy("core:list_routes")

    def get_object(self, queryset=None):
        routes = Rutas.objects.filter(noruta=self.kwargs['noruta'])
        return routes 
    
    def delete(self, request, *args, **kwargs):
        self.object = self.get_object()
        success_url = self.get_success_url()
        
        if self.object.exists():
            self.object.delete() 
            
        return HttpResponseRedirect(success_url)








class ListEmpleados(generic.TemplateView):
    template_name = "core/list_empleados.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['empleado'] = Empleados.objects.all()
        return context

class DetailEmpleados(generic.DetailView):
    template_name = "core/empleados_detail.html"
    model = Empleados
    context_object_name = 'empleado'
    success_url = reverse_lazy("core:list_empleados")

class CreateEmpleado(generic.CreateView):
    template_name = "core/empleados_create.html"
    model = Empleados
    form_class = CrearEmpleado
    success_url = reverse_lazy("core:list_empleados")

class UpdateEmpleado(generic.UpdateView):
    template_name = "core/empleados_update.html"
    model = Empleados
    form_class = UpdateEmpleado
    success_url = reverse_lazy("core:list_empleados")

class DeleteEmpleado(generic.DeleteView):
    template_name = "core/empleados_delete.html"
    model = Empleados
    success_url = reverse_lazy("core:list_empleados")

class ListConductores(generic.TemplateView):
    template_name = "core/list_conductores.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['conductor'] = Conductores.objects.all()
        return context

class DetailConductores(generic.DetailView):
    template_name = "core/conductores_detail.html"
    model = Conductores
    context_object_name = 'conductor'
    success_url = reverse_lazy("core:list_conductores")

class CreateConductores(generic.CreateView):
    template_name = "core/conductores_create.html"
    model = Conductores
    form_class = CreateConductor
    success_url = reverse_lazy("core:list_conductores")

class UpdateConductores(generic.UpdateView):
    template_name = "core/conductores_update.html"
    model = Conductores
    form_class = UpdateConductor
    success_url = reverse_lazy("core:list_conductores")

class DeleteConductores(generic.DeleteView):
    template_name = "core/conductores_delete.html"
    model = Conductores
    success_url = reverse_lazy("core:list_conductores")


class ListAdministradores(generic.TemplateView):
    template_name = "core/list_administradores.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['administra'] = Administrador.objects.all()
        return context

class DetailAdministrador(generic.DetailView):
    template_name = "core/administrador_detail.html"
    model = Administrador
    context_object_name = 'administra'
    success_url = reverse_lazy("core:list_administradores")

class CreateAdministrador(generic.CreateView):
    template_name = "core/administrador_create.html"
    model = Administrador
    form_class = CreateAdministrador
    success_url = reverse_lazy("core:list_administradores")

class UpdateAdministrador(generic.UpdateView):
    template_name = "core/administrador_update.html"
    model = Administrador
    form_class = UpdateAdministrador
    success_url = reverse_lazy("core:list_administradores")

class DeleteAdminstrador(generic.DeleteView):
    template_name = "core/administrador_delete.html"
    model = Administrador
    success_url = reverse_lazy("core:list_administradores")

class ListTransportes(generic.TemplateView):
    template_name = "core/list_transportes.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['transporte'] = Transportes.objects.all()
        return context

class DetailTrasporte(generic.DetailView):
    template_name = "core/transporte_detail.html"
    model = Transportes
    context_object_name = 'transporte'
    success_url = reverse_lazy("core:list_transportes")

class CreateTransporte(generic.CreateView):
    template_name = "core/transporte_create.html"
    model = Transportes
    form_class = CreateTransporte
    success_url = reverse_lazy("core:list_transportes")

class UpdateTransporte(generic.UpdateView):
    template_name = "core/transporte_update.html"
    model = Transportes
    form_class = UpdateTransporte
    success_url = reverse_lazy("core:list_transportes")

class DeleteTransporte(generic.DeleteView):
    template_name = "core/transporte_delete.html"
    model = Transportes
    success_url = reverse_lazy("core:list_transportes")


class ListParadas(generic.TemplateView):
    template_name = "core/list_paradas.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['parada'] = Paradas.objects.all()
        return context

class DetailParada(generic.DetailView):
    template_name = "core/parada_detail.html"
    model = Paradas
    context_object_name = 'parada'
    success_url = reverse_lazy("core:list_paradas")

class CreateParada(generic.CreateView):
    template_name = "core/parada_create.html"
    model = Paradas
    form_class = CreateParadas
    success_url = reverse_lazy("core:list_paradas")

class UpdateParada(generic.UpdateView):
    template_name = "core/parada_update.html"
    model = Paradas
    form_class = UpdateParadas
    success_url = reverse_lazy("core:list_paradas")

class DeleteParada(generic.DeleteView):
    template_name = "core/parada_delete.html"
    model = Paradas
    success_url = reverse_lazy("core:list_paradas")
    
#agregar empleados a un transporte

class ListEmpleadosTransportes(generic.TemplateView):
    template_name = "core/list_empleadostransportes.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['empleadotransporte'] = EmpleadosTransp.objects.all()
        return context
    
class CreateEmpleadoTransporte(generic.CreateView):
    template_name = "core/empleadotransporte_create.html"
    model = EmpleadosTransp
    form_class = CreateEmpleadoTransporte
    success_url = reverse_lazy("core:list_empleadostransportes")

class DeleteEmpleadoTransporte(generic.DeleteView):
    template_name = "core/empleadotransporte_delete.html"
    model = EmpleadosTransp
    success_url = reverse_lazy("core:list_empleadostransportes")

#agregar conductor a un transporte

class ListConductoresTransportes(generic.TemplateView):
    template_name = "core/list_conductorestransportes.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['conductortransporte'] = ConductoresTransp.objects.all()
        return context

class CreateConductorTransporte(generic.CreateView):

FullGDR/templates/core/administrador_create.html
{% extends "base/baseadmin.html" %}

{% block title %}
  Crear adminstrador
{% endblock title %}

{% block content %}
<style>
  /* Aplicar estilos de margen a los botones */
  .btn-group {
    margin-top: 10px;
  }
  
  /* Aplicar estilos al formulario */
  .form {
    max-width: 400px;
    margin: 0 auto;
  }
  
  /* Alinear botones del formulario al centro */
  .form-buttons {
    text-align: center;
  }
</style>
<div class="container text-center">
  <h1>Crear administrador:</h1>
  <div class="container mt-3">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form.as_p }}
        <div class="form-buttons text-right">
          <button type="submit" class="btn btn-outline-dark">Crear</button>
          <a href="{% url 'core:list_administradores' %}" class="btn btn-outline-dark">Cancelar</a>
        </div>
      </form>
    </div>
  </div>
</div>
</div>
{% endblock content %}

FullGDR/templates/core/administrador_update.html
{% extends "base/baseadmin.html" %}

{% block title %}
  Actualizar adminstrador
{% endblock title %}

{% block content %}
<div class="container text-center">
  <h1>Actualizar administrador:</h1>
  <style>
    /* Aplicar estilos de margen a los botones */
    .btn-group {
      margin-top: 10px;
    }
    a
        
          /* Aplicar estilos al formulario */
          .form {
      max-width: 400px;
      margin: 0 auto;
    }
    
    /* Aplicar color blanco al texto del formulario */
    .form .form-group label {
      color: white;
    }
    
    /* Alinear botones del formulario al centro */
    .form-buttons {
      text-align: center;
    }
  </style>

  <div class="container mt-3">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form.as_p }}
        <div class="form-buttons text-right">
          <button type="submit" class="btn btn-outline-dark">Actualizar</button>
          <a href="{% url 'core:list_administradores' %}" class="btn btn-outline-dark">Cancelar</a>
        </div>
      </form>
    </div>
  </div>
</div>
</div>
{% endblock content %}

FullGDR/templates/core/conductores_detail.html
{% extends "base/baseadmin.html" %}

{% block title %} Detalles del conductor {% endblock title %}

{% block content %}
<div class="container text-center">
  <h1>Detalles del conductor:</h1>
  <style>
    /* Aplicar color blanco al texto dentro de la tabla */
    .table.text-white td,
    .table.text-white th {
      color: white;
    }
  </style>
  <div? class="container mt-3">
    <div class="table table-striped table-hover text-white">
      <table class="styled-table text-white">
        <thead>
                <tr>
                <th>Numero de empleado</th>
                <th>Nombre de pila</th>
                <th>Apellido materno</th>
                <th>Apellido paterno</th>
                <th>Numero de telefono</th>
                <th>Administrador</th>
                </tr>
            </thead>
            <tbody>
                    <tr>
                        <td>{{ conductor.noempleado }}</td>
                        <td>{{ conductor.nombrepila }}</td>
                        <td>{{ conductor.primerapellido}}</td>
                        <td>{{ conductor.segundoapellido}}</td>
                        <td>{{ conductor.numtel}}</td>
                        <td>{{ conductor.administrador}}</td>
                    </tr>
            </tbody>
        </table>
    </div>

    <div class="text-center">
      <a href="{% url 'core:list_conductores' %}" class="btn btn-outline-dark">Volver</a>
    </div>
  </div>
</div>
{% endblock content %}

FullGDR/templates/core/conductores_update.html
{% extends "base/baseadmin.html" %}

{% block title %}
  Actualizar conductor
{% endblock title %}

{% block content %}
<div class="container text-center">
  <h1>Actualizar conductor:</h1>
  <style>
    /* Aplicar estilos de margen a los botones */
    .btn-group {
      margin-top: 10px;
    }
    a
        
          /* Aplicar estilos al formulario */
          .form {
      max-width: 400px;
      margin: 0 auto;
    }
    
    /* Aplicar color blanco al texto del formulario */
    .form .form-group label {
      color: white;
    }
    
    /* Alinear botones del formulario al centro */
    .form-buttons {
      text-align: center;
    }
  </style>

<div class="container mt-3">
  <div class="row justify-content-center">
    <div class="col-md-8">
      <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form.as_p }}
        <div class="form-buttons text-right">
          <button type="submit" class="btn btn-outline-dark">Actualizar</button>
          <a href="{% url 'core:list_conductores' %}" class="btn btn-outline-dark">Cancelar</a>
        </div>
      </form>
    </div>
  </div>
</div>
</div>
{% endblock content %}

FullGDR/templates/core/conductortransporte_delete.html
{% extends 'base/baseadmin.html' %}

{% block title %}
  Eliminar
{% endblock %}

{% block content %}
  <style>
    /* Aplicar color blanco al texto dentro de la tabla */
    .table.text-white td,
    .table.text-white th {
      color: white;
    }
    /* Aplicar estilos de margen a los botones */
    .btn-group {
      margin-top: 10px;
    }
    
          
            /* Aplicar estilos al formulario */
            .form {
      max-width: 400px;
      margin: 0 auto;
    }
    
    /* Aplicar color blanco al texto del formulario */
    .form .form-group label {
      color: white;
    }
    
    /* Alinear botones del formulario al centro */
    .form-buttons {
      text-align: center;
    }
  </style>

  <div class="container mt-4">
    <div class="table table-striped table-hover text-white">
      <table class="styled-table text-white">
        <thead>
          <tr>
            <th>¿Está seguro de eliminar al conductor del transporte?</th>
          </tr>
        </thead>
      </table>
    </div>
      <form action="" method="post">
        {% csrf_token %}
        <div class="text-center">
          <button type="submit" class="btn btn-outline-dark">Aceptar</button>
          <a href="{% url 'core:list_conductorestransportes' %}" class="btn btn-outline-dark">Cancelar</a>
        </div>
      </form>
    </div>
  </div>
{% endblock %}

FullGDR/templates/core/empleados_delete.html
{% extends "base/baseadmin.html" %}

{% block title %}
  Eliminar
{% endblock title %}

{% block content %}
<style>
  /* Aplicar color blanco al texto dentro de la tabla */
  .table.text-white td,
  .table.text-white th {
    color: white;
  }
  /* Aplicar estilos de margen a los botones */
  .btn-group {
    margin-top: 10px;
  }
  a
    
      /* Aplicar estilos al formulario */
      .form {
    max-width: 400px;
    margin: 0 auto;
  }
  
  /* Aplicar color blanco al texto del formulario */
  .form .form-group label {
    color: white;
  }
  
  /* Alinear botones del formulario al centro */
  .form-buttons {
    text-align: center;
  }
</style>

<div class="container mt-4">
  <div class="table table-striped table-hover text-white">
    <table class="styled-table text-white">
      <thead>
        <tr>
          <th>¿Está seguro de eliminar al empleado?</th>
        </tr>
      </thead>
    </table>
  </div>

<form action="" method="post">
  {% csrf_token %}
  <div class="text-center">
  <button type="submit" class="btn btn-outline-dark">Aceptar</button>
  <a href="{% url 'core:list_empleados'%}" class="btn btn-outline-dark">Cancelar</a>
  </div>
</form>
</div>
{% endblock content %}

FullGDR/templates/core/list_administradores.html
{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de administradores
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de administradores:</h1>
    <a href="{% url 'core:administrador_create' %}" class="btn btn-outline-dark form-control">Añade un nuevo administrador</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
    <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de adminstrador</th>
        <th>Nombre de pila</th>
        <th>Apellido paterno</th>
        <th>Apellido materno</th>
        <th></th>
        <th>Acciones</th>
        <th></th>
      </thead>
      <tbody>
        {% for Administrador in administra %}
          <tr>
            <td>{{ Administrador.noempleado }}</td>
            <td>{{ Administrador.nombrepila }}</td>
            <td>{{ Administrador.primerapellido }}</td>
            <td>{{ Administrador.segundoapellido }}</td>
            <td>
              <a href="{% url 'core:administrador_detail' Administrador.noempleado %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:administrador_update' Administrador.noempleado %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:administrador_delete' Administrador.noempleado %}" class="btn btn-outline-light">Eliminar</a>
            </td>
          </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
{% endblock %}

FullGDR/templates/core/list_empleados.html
{% extends 'base/baseadmin.html' %}

{% block title %}
  Lista de empleados
{% endblock %}

{% block content %}
<div class="container text-center">
  <h1>Lista de empleados:</h1>
  {% if user.is_superuser %}
    <a href="{% url 'core:empleados_create' %}" class="btn btn-outline-dark form-control">Añade un nuevo empleado</a>
    {% endif %}
    <style>

      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>
   
      <table class="table table-striped table-hover text-white mt-3">
      <thead>
        <th>Numero de empleado</th>
        <th>Nombre de pila</th>
        <th>Apellido paterno</th>
        <th>Apellido materno</th>
        {% if user.is_superuser %}
        <th></th>
        <th>Acciones</th>
        <th></th>
        {% endif %}
      </thead>
      <tbody>
        {% for Empleados in empleado %}
          <tr>
            <td>{{ Empleados.noempleado }}</td>
            <td>{{ Empleados.nombrepila }}</td>
            <td>{{ Empleados.primerapellido }}</td>
            <td>{{ Empleados.segundoapellido }}</td>
            {% if user.is_superuser %}
            <td>
              <a href="{% url 'core:empleados_detail' Empleados.noempleado %}" class="btn btn-outline-light">Detalles</a>
            </td>
            <td>
              <a href="{% url 'core:empleados_update' Empleados.noempleado %}" class="btn btn-outline-light">Actualizar</a>
            </td>
            <td>
              <a href="{% url 'core:empleados_delete' Empleados.noempleado %}" class="btn btn-outline-light">Eliminar</a>
            </td>
            {% endif %}
          </tr>
        {% endfor %}
      </tbody>
    </table>
    
  </div>
{% endblock %}

FullGDR/templates/core/list_routes.html
{% extends "base/baseadmin.html" %}

{% block title %} Lista de rutas {% endblock title %}

{% block content %}
<div class="container text-center">
  <h1>Lista de rutas:</h1>
    <a href="{% url 'core:route_create' %}" class="btn btn-outline-dark form-control">Añade un nueva ruta</a>

    <style>
      /* Aplicar color blanco al texto dentro de la tabla */
      .table.text-white td,
      .table.text-white th {
        color: white;
      }
    </style>

    <table class="table table-striped table-hover text-white mt-3">
            <thead>
            <th>Número de ruta</th>
            <th></th>
            <th>Acciones</th>
            

        </thead>
        <tbody>
            {% for Rutas in ruta %}  
                <tr>
                    <td>{{ Rutas.noruta }}</td>
                    <td><a href="{% url 'core:route_detail' Rutas.noruta %}" class="btn btn-outline-light"> Detalles </a></td>
                    <td><a href="{% url 'core:route_delete' Rutas.noruta %}" class="btn btn-outline-light"> Eliminar </a></td>
                </tr>
            {% endfor %}

        </tbody>
        
    </table>
   </div>
{% endblock content %}  

FullGDR/templates/core/route_detail.html
{% extends "base/baseadmin.html" %}

{% block title %}
  Detalles de la ruta.
{% endblock title %}


{% block content %}
<div class="container text-center">
  <h1>Lista de paradas:</h1>
  <style>
    /* Aplicar color blanco al texto dentro de la tabla */
    .table.text-white td,
    .table.text-white th {
      color: white;
    }
  </style>

  <table class="table table-striped table-hover text-white mt-3">
    <thead>
            <th>Identificador</th>
            <th>Número de parada</th>
            <th>Nombre de la ruta</th>
            <th>Conductor</th>
            <th>Número de transporte</th>
            <th>Parada</th>
            <th>Hora</th>
            <th>Fecha de incio</th>
            <th>Fecha final</th>
            <th>Acciones</th>
            <th></th>

        </thead>
        <tbody>
                <tr>
                  {% for Rutas in ruta%}
                    <td>{{ Rutas.numeroconsecutivo }}</td>
                    <td>{{ Rutas.noruta }}</td>
                    <td>{{ Rutas.nombre }}</td>
                    <td>{{ Rutas.conductor }}</td>
                    <td>{{ Rutas.transporte }}</td>
                    <td>{{ Rutas.parada}}</td>
                    <td>{{ Rutas.hora}}</td>
                    <td>{{ Rutas.fechainicio}}</td>
                    <td>{{ Rutas.fechafinal}}</td>
                    <td><a href="{% url 'core:route_stop' Rutas.numeroconsecutivo %}" class="btn btn-outline-light"> Actualizar parada </a></td>
                    <td><a href="{% url 'core:route_stopd' Rutas.numeroconsecutivo %}" class="btn btn-outline-light"> Eliminar parada </a></td>
                </tr>
        </tbody>
        {% endfor %}
    </table>
    <div class="text-center">
      <a href="{% url 'core:list_routes' %}" class="btn btn-outline-dark">Volver</a>
    </div>
  </div>
{% endblock content %}